Bug 1291845 - when not using network isolation, after an update from GA to latest release the apis try to reach the old public_virtual_ip
Summary: when not using network isolation, after an update from GA to latest release t...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
(Show other bugs)
Version: 7.0 (Kilo)
Hardware: Unspecified Unspecified
high
high
Target Milestone: z4
: 7.0 (Kilo)
Assignee: Steven Hardy
QA Contact: Amit Ugol
URL:
Whiteboard:
Keywords: Automation, ZStream
: 1291844 (view as bug list)
Depends On:
Blocks: 1290826 1309815 1309820
TreeView+ depends on / blocked
 
Reported: 2015-12-15 17:11 UTC by Giulio Fidente
Modified: 2016-04-26 20:29 UTC (History)
13 users (show)

Fixed In Version: openstack-heat-2015.1.2-5.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, stack updates would result in an OS::Neutron::Port resource being replaced when the property values were changed in the following ways: 1. The network property referred to the same network, but by name instead of UUID, or by UUID instead of name. 2. Specifying the network using the 'network' property instead of the deprecated 'network_id' property, or sing the deprecated 'network_id' property instead of the network property. With this update, the OS::Neutron::Port property is updated in-place instead of being replaced.
Story Points: ---
Clone Of: 1290826
: 1309815 (view as bug list)
Environment:
Last Closed: 2016-02-18 16:42:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0266 normal SHIPPED_LIVE Moderate: openstack-heat bug fix and security advisory 2016-02-18 21:41:02 UTC
OpenStack gerrit 257581 None None None Never
OpenStack gerrit 257966 None None None 2015-12-16 09:52 UTC
Launchpad 1514680 None None None Never
Launchpad 1526014 None None None Never

Comment 1 Giulio Fidente 2015-12-15 17:14:23 UTC
I think we need to backport the changes for the two LP bugs linked in the report

Comment 2 Mike Burns 2015-12-15 17:52:06 UTC
*** Bug 1291844 has been marked as a duplicate of this bug. ***

Comment 3 Steve Baker 2015-12-16 02:53:41 UTC
downstream backports are ready for review

Comment 4 Steven Hardy 2015-12-16 15:06:48 UTC
The downstream backports will need an update because one of the upstream patches required revisions after review feedback.

I'll post a squashed backport to liberty upstream, then we can update the downstream patches.

Comment 10 errata-xmlrpc 2016-02-18 16:42:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0266.html


Note You need to log in before you can comment on or make changes to this bug.